MONDAY = 1
TUESDAY = 2
WEDNESDAY = 3
THURSDAY = 4
FRIDAY = 5
SATURDAY = 6
SUNDAY = 7

DAY_CHOICE = (
    (MONDAY, 'пн'),
    (TUESDAY, 'вт'),
    (WEDNESDAY, 'ср'),
    (THURSDAY, 'чт'),
    (FRIDAY, 'пт'),
    (SATURDAY, 'сб'),
    (SUNDAY, 'вс'),
)

RUSSIA = 'ru'
CIS = 'cis'
OTHER_COUNTRIES = 'others'

RUSSIA_VAR = {
    'Калининград (MSK -01:00)': ('-', '1'),
    'Москва': ('+', '0'),
    'Самара (MSK +01:00)': ('+', '1'),
    'Ивановка (MSK +01:00)': ('+', '1'),
    'Ульяновск (MSK +01:00)': ('+', '1'),
    'Екатеринбург (MSK +02:00)': ('+', '2'),
    'Омск (MSK +03:00)': ('+', '3'),
    'Красноярск (MSK +04:00)': ('+', '4'),
    'Новокузнецк (MSK +04:00)': ('+', '4'),
    'Томск (MSK +04:00)': ('+', '4'),
    'Барнаул (MSK +04:00)': ('+', '4'),
    'Иркутск (MSK +05:00)': ('+', '5'),
    'Якутск (MSK +06:00)': ('+', '6'),
    'Чита (MSK +06:00)': ('+', '6'),
    'Владивосток (MSK +07:00)': ('+', '7'),
    'Среднеколымск (MSK +08:00)': ('+', '8'),
    'Петропавловск (MSK +09:00)': ('+', '9')
}

CIS_VAR = {
    'Абхазия (MSK +00:00, GMT +03:00)': ('+', '0'),
    'Азербайджан (MSK +01:00, GMT +04:00)': ('+', '1'),
    'Армения (MSK +01:00, GMT +04:00)': ('+', '1'),
    'Беларусь (MSK +00:00, GMT +03:00)': ('+', '0'),
    'Казахстан, Актобе (MSK +02:00, GMT +05:00)': ('+', '2'),
    'Казахстан, Алматы (MSK +03:00, GMT +06:00)': ('+', '3'),
    'Киргизия (MSK +03:00, GMT +06:00)': ('+', '3'),
    'Молдова (MSK +00:00, GMT +03:00)': ('+', '0'),
    'Таджикистан (MSK +02:00, GMT +05:00)': ('+', '2'),
    'Туркменистан (MSK +02:00, GMT +05:00)': ('+', '2'),
    'Узбекистан (MSK +02:00, GMT +05:00)': ('+', '2'),
    'Украина (MSK +00:00, GMT +03:00)': ('+', ''),
    'Южная Осетия (MSK +00:00, GMT +03:00)': ('+', '')
}

OTHER_COUNTRIES_VAR = {
    'Австралия, Брисбен (GMT +10:00)': ('+', '10'),
    'Австралия, Остров Рождества (GMT +07:00)': ('+', '07'),
    'Австралия, Перт (GMT +08:00)': ('+', '08'),
    'Австралия, Сидней (GMT +11:00)': ('+', '11'),
    'Австрия (GMT +02:00)': ('+', '02'),
    'Албания (GMT +02:00)': ('+', '02'),
    'Алжир (GMT +01:00)': ('+', '01'),
    'Американские Виргинские острова (GMT -04:00)': ('-', '04'),
    'Ангилья (GMT -04:00)': ('-', '04'),
    'Ангола (GMT +01:00)': ('+', '01'),
    'Андорра (GMT +02:00)': ('+', '02'),
    'Антигуа и Барбуда (GMT -04:00)': ('-', '04'),
    'Аргентина (GMT -03:00)': ('-', '03'),
    'Аруба (GMT -04:00)': ('-', '04'),
    'Багамские острова (GMT -04:00)': ('-', '04'),
    'Бангладеш (GMT +06:00)': ('+', '06'),
    'Барбадос (GMT -04:00)': ('-', '04'),
    'Бахрейн (GMT +03:00)': ('+', '03'),
    'Белиз (GMT -06:00)': ('-', '06'),
    'Бельгия (GMT +02:00)': ('+', '02'),
    'Бенин (GMT +01:00)': ('+', '01'),
    'Бермудские Острова (GMT -03:00)': ('-', '03'),
    'Болгария (GMT +03:00)': ('+', '03'),
    'Боливия (GMT -04:00)': ('-', '04'),
    'Босния и Герцеговина (GMT +02:00)': ('+', '02'),
    'Ботсвана (GMT +02:00)': ('+', '02'),
    'Бразилия, Кариасика (GMT -03:00)': ('-', '03'),
    'Бразилия, Манаус (GMT -04:00)': ('-', '04'),
    'Бразилия, Мосоро (GMT -03:00)': ('-', '03'),
    'Бразилия, Фернанду-ди-Норонья (GMT -02:00)': ('-', '02'),
    'Бразилия, Штат Акри (GMT -05:00)': ('-', '05'),
    'Британские Виргинские острова (GMT -04:00)': ('-', '04'),
    'Бруней (GMT +08:00)': ('+', '08'),
    'Буркина-Фасо (GMT +00:00)': ('+', '00'),
    'Бурунди (GMT +02:00)': ('+', '02'),
    'Бутан (GMT +06:00)': ('+', '06'),
    'Вануату (GMT +11:00)': ('+', '11'),
    'Ватикан (GMT +02:00)': ('+', '02'),
    'Великобритания (GMT +01:00)': ('+', '01'),
    'Венгрия (GMT +02:00)': ('+', '02'),
    'Венесуэла (GMT -04:00)': ('-', '04'),
    'Восточный Тимор (GMT +09:00)': ('+', '09'),
    'Вьетнам (GMT +07:00)': ('+', '07'),
    'Габон (GMT +01:00)': ('+', '01'),
    'Гаити (GMT -05:00)': ('-', '05'),
    'Гайана (GMT -04:00)': ('-', '04'),
    'Гамбия (GMT +00:00)': ('+', '00'),
    'Гана (GMT +00:00)': ('+', '00'),
    'Гватемала (GMT -06:00)': ('-', '06'),
    'Гвинея (GMT +00:00)': ('+', '00'),
    'Гвинея-Бисау (GMT +00:00)': ('+', '00'),
    'Германия (GMT +02:00)': ('+', '02'),
    'Гибралтар (GMT +02:00)': ('+', '02'),
    'Гондурас (GMT -06:00)': ('-', '06'),
    'Гренада (GMT -04:00)': ('-', '04'),
    'Гренландия (GMT -02:00)': ('-', '02'),
    'Греция (GMT +03:00)': ('+', '03'),
    'Грузия (GMT +04:00)': ('+', '04'),
    'Гуам (GMT +10:00)': ('+', '10'),
    'Дания, Киркьюбур (GMT +01:00)': ('+', '01'),
    'Дания, Копенгаген (GMT +02:00)': ('+', '02'),
    'Демократическая Республика Конго (GMT +01:00)': ('+', '01'),
    'Демократическая Республика Конго, Колвези (GMT +02:00)': ('+', '02'),
    'Джибути (GMT +03:00)': ('+', '03'),
    'Доминика (GMT -04:00)': ('-', '04'),
    'Доминиканская Республика (GMT -04:00)': ('-', '04'),
    'Египет (GMT +02:00)': ('+', '02'),
    'Замбия (GMT +02:00)': ('+', '02'),
    'Зимбабве (GMT +02:00)': ('+', '02'),
    'Израиль (GMT +03:00)': ('+', '03'),
    'Индонезия, Джакарта (GMT +07:00)': ('+', '07'),
    'Индонезия, Джаяпура (GMT +09:00)': ('+', '09'),
    'Индонезия, Макасар (GMT +08:00)': ('+', '08'),
    'Индонезия, Семиньяк (GMT +08:00)': ('+', '08'),
    'Иордания (GMT +03:00)': ('+', '03'),
    'Ирак (GMT +03:00)': ('+', '03'),
    'Ирландия (GMT +01:00)': ('+', '01'),
    'Исландия (GMT +00:00)': ('+', '00'),
    'Испания, Лас-Пальмас-де-Гран-Канария (GMT +01:00)': ('+', '01'),
    'Испания, Мадрид (GMT +02:00)': ('+', '02'),
    'Италия (GMT +02:00)': ('+', '02'),
    'Йемен (GMT +03:00)': ('+', '03'),
    'Кабо-Верде (GMT -01:00)': ('-', '01'),
    'Каймановы острова (GMT -05:00)': ('-', '05'),
    'Камбоджа (GMT +07:00)': ('+', '07'),
    'Камерун (GMT +01:00)': ('+', '01'),
    'Канада, Ванкувер (GMT -07:00)': ('-', '07'),
    'Канада, Виннипег (GMT -05:00)': ('-', '05'),
    'Канада, Галифакс (GMT -03:00)': ('-', '03'),
    'Канада, Йеллоунайф (GMT -06:00)': ('-', '06'),
    'Канада, Принс-Альберт (GMT -06:00)': ('-', '06'),
    'Канада, Сен-Пьер и Микелон (GMT -02:00)': ('-', '02'),
    'Канада, Торонто (GMT -04:00)': ('-', '04'),
    'Катар (GMT +03:00)': ('+', '03'),
    'Кения (GMT +03:00)': ('+', '03'),
    'Кипр (GMT +03:00)': ('+', '03'),
    'Кирибати (GMT +12:00)': ('+', '12'),
    'Китай (GMT +08:00)': ('+', '08'),
    'Китай, Урумчи (GMT +06:00)': ('+', '06'),
    'Колумбия (GMT -05:00)': ('-', '05'),
    'Коморские острова (GMT +03:00)': ('+', '03'),
    'Коста-Рика (GMT -06:00)': ('-', '06'),
    'Кот-д’Ивуар (GMT +00:00)': ('+', '00'),
    'Куба (GMT -04:00)': ('-', '04'),
    'Кувейт (GMT +03:00)': ('+', '03'),
    'Кюрасао (GMT -04:00)': ('-', '04'),
    'Лаос (GMT +07:00)': ('+', '07'),
    'Латвия (GMT +03:00)': ('+', '03'),
    'Лесото (GMT +02:00)': ('+', '02'),
    'Либерия (GMT +00:00)': ('+', '00'),
    'Ливан (GMT +03:00)': ('+', '03'),
    'Ливия (GMT +02:00)': ('+', '02'),
    'Литва (GMT +03:00)': ('+', '03'),
    'Лихтенштейн (GMT +02:00)': ('+', '02'),
    'Люксембург (GMT +02:00)': ('+', '02'),
    'Маврикий (GMT +04:00)': ('+', '04'),
    'Мавритания (GMT +00:00)': ('+', '00'),
    'Мадагаскар (GMT +03:00)': ('+', '03'),
    'Македония (GMT +02:00)': ('+', '02'),
    'Малави (GMT +02:00)': ('+', '02'),
    'Малайзия (GMT +08:00)': ('+', '08'),
    'Мали (GMT +00:00)': ('+', '00'),
    'Мальдивы (GMT +05:00)': ('+', '05'),
    'Мальта (GMT +02:00)': ('+', '02'),
    'Марокко (GMT +01:00)': ('+', '01'),
    'Мартиника (GMT -04:00)': ('-', '04'),
    'Маршалловы острова (GMT +12:00)': ('+', '12'),
    'Мексика, Мехикали (GMT -07:00)': ('-', '07'),
    'Мексика, Чиуауа (GMT -07:00)': ('-', '07'),
    'Мексика, Штат Мехико (GMT -06:00)': ('-', '06'),
    'Мексика, Эрмосильо (GMT -07:00)': ('-', '07'),
    'Мозамбик (GMT +02:00)': ('+', '02'),
    'Монако (GMT +02:00)': ('+', '02'),
    'Монголия (GMT +08:00)': ('+', '08'),
    'Монголия, Ховд (GMT +07:00)': ('+', '07'),
    'Монтсеррат (GMT -04:00)': ('-', '04'),
    'Намибия (GMT +02:00)': ('+', '02'),
    'Науру (GMT +12:00)': ('+', '12'),
    'Нигер (GMT +01:00)': ('+', '01'),
    'Нигерия (GMT +01:00)': ('+', '01'),
    'Нидерланды (GMT +02:00)': ('+', '02'),
    'Никарагуа (GMT -06:00)': ('-', '06'),
    'Ниуэ (GMT -11:00)': ('-', '11'),
    'Новая Зеландия (GMT +13:00)': ('+', '13'),
    'Новая Каледония (GMT +11:00)': ('+', '11'),
    'Норвегия (GMT +02:00)': ('+', '02'),
    'Норфолк (GMT +11:00)': ('+', '11'),
    'Объединённые Арабские Эмираты (GMT +04:00)': ('+', '04'),
    'Оман (GMT +04:00)': ('+', '04'),
    'Острова Кука (GMT -10:00)': ('-', '10'),
    'Пакистан (GMT +05:00)': ('+', '05'),
    'Палау (GMT +09:00)': ('+', '09'),
    'Палестина (GMT +02:00)': ('+', '02'),
    'Панама (GMT -05:00)': ('-', '05'),
    'Папуа-Новая Гвинея (GMT +10:00)': ('+', '10'),
    'Парагвай (GMT -04:00)': ('-', '04'),
    'Перу (GMT -05:00)': ('-', '05'),
    'Польша (GMT +02:00)': ('+', '02'),
    'Польша, Бобова (GMT +03:00)': ('+', '03'),
    'Португалия, Азорские острова (GMT +00:00)': ('+', '00'),
    'Португалия, Лиссабон (GMT +01:00)': ('+', '01'),
    'Португалия, Фигейра-де-Фош (GMT +02:00)': ('+', '02'),
    'Пуэрто-Рико (GMT -04:00)': ('-', '04'),
    'Республика Конго (GMT +01:00)': ('+', '01'),
    'Руанда (GMT +02:00)': ('+', '02'),
    'Румыния (GMT +03:00)': ('+', '03'),
    'США, Атланта (GMT -04:00)': ('-', '04'),
    'США, Гонолулу (GMT -10:00)': ('-', '10'),
    'США, Денвер (GMT -06:00)': ('-', '06'),
    'США, Джуно (GMT -08:00)': ('-', '08'),
    'США, Лафкин (GMT -05:00)': ('-', '05'),
    'США, Луисвилл (GMT -04:00)': ('-', '04'),
    'США, Сан Клемент (GMT -07:00)': ('-', '07'),
    'Сальвадор (GMT -06:00)': ('-', '06'),
    'Самоа, Апиа (GMT +14:00)': ('+', '14'),
    'Самоа, Паго-Паго (GMT -11:00)': ('-', '11'),
    'Сан-Марино (GMT +02:00)': ('+', '02'),
    'Сан-Томе и Принсипи (GMT +00:00)': ('+', '00'),
    'Саудовская Аравия (GMT +03:00)': ('+', '03'),
    'Сахарская Арабская Демократическая Республика (GMT +01:00)': ('+', '01'),
    'Свазиленд (GMT +02:00)': ('+', '02')
}

VAR_BY_COUNTRY = {
    RUSSIA: RUSSIA_VAR,
    CIS: CIS_VAR,
    OTHER_COUNTRIES: OTHER_COUNTRIES_VAR
}
